package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DrpApprovalResponse extends BaseResponse {

    private Long id;
    private Long drpId;
    private Integer tahun;
    private String approveStatus;
    private Date approverVpDate;
    private Date approverKomite1Date;
    private Date approverKomite2Date;
    private Date approverKomite3Date;
    private Date approverKomite4Date;
    private Date approverDirekturDate;
}
